Retivo

Settings

Tenant configuration and admin controls

Get all settings

GET
/api/settings

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Response Body

application/json

application/json

curl -X GET "https://retivo.ai/api/settings"
{
  "tenant": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "config": null,
    "plan_tier": "string",
    "plan_status": "string",
    "tracked_user_limit": 0,
    "kill_switch_active": true,
    "shadow_mode": true,
    "created_at": "string"
  },
  "brand_context": {
    "product_description": "string",
    "tone_guidelines": "string",
    "things_to_mention": [
      "string"
    ],
    "things_to_avoid": [
      "string"
    ]
  },
  "api_keys": [
    {
      "id": "string",
      "prefix": "string",
      "label": "string",
      "scope": null,
      "last_used_at": "string",
      "created_at": "string"
    }
  ]
}
{
  "error": "string"
}

Update tenant settings

PATCH
/api/settings

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://retivo.ai/api/settings" \  -H "Content-Type: application/json" \  -d '{}'
{
  "name": "string",
  "config": null
}
{
  "error": "string"
}

Update brand context

PATCH
/api/settings/brand

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://retivo.ai/api/settings/brand" \  -H "Content-Type: application/json" \  -d '{}'
{
  "updated": true
}

Toggle kill switch

PUT
/api/settings/kill-switch

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

active*boolean

Response Body

application/json

application/json

curl -X PUT "https://retivo.ai/api/settings/kill-switch" \  -H "Content-Type: application/json" \  -d '{    "active": true  }'
{
  "kill_switch_active": true
}
{
  "error": "string"
}

Toggle shadow mode

PUT
/api/settings/shadow-mode

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

active*boolean

Response Body

application/json

application/json

curl -X PUT "https://retivo.ai/api/settings/shadow-mode" \  -H "Content-Type: application/json" \  -d '{    "active": true  }'
{
  "shadow_mode": true
}
{
  "error": "string"
}